{% extends 'admin/adminbase.html.twig' %}
{% import "macros/datatable.html.twig" as dt %}
{% import "macros/form.html.twig" as f %}

{% block moreCss %}
    <link href="{{ asset('dropify/css/dropify.css') }}" rel="stylesheet">

{% endblock %}

{% block body %}
    <div class="card-genossys">
        <h5>Kelola Paket dan Soal Tryout</h5>
        <div class="pb-5">
            <div class="float-right">
                <a class="btn btn-primary" onclick="modalAdd()" href="#!">Tambah Paket</a>
            </div>
            <div class="float-right mr-2">
                <a class="btn btn-success" data-toggle="modal" data-target="#modalReward">Tambah Reward</a>
            </div>
        </div>
        {{ dt.datatable }}
    </div>

    <div class="p-3">

    </div>
    <div class="modal fade" id="modal" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle"
         aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document" style="max-width: 50%">
            <div class="modal-content">
                {{ f.getForm(form, 'Mata Pelajaran Try Out') }}
            </div>
        </div>
    </div>

    <div class="modal fade" id="modalReward" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle"
         aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document" style="max-width: 50%">
            <div class="modal-content">
                <form id="formReward" method="post" action="{{ path('try-out-reward', {id : to}) }}">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLongTitle">Bonus akses gratis Try Out</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="form-row">
                            <div class="form-group col-md-12">
                                <label for="subjek">Jumlah akses gratis : </label>
                                <input type="number" required class="form-control" id="freeAccess" name="freeAccess"
                                       placeholder="2">
                            </div>
                        </div>
                        <div class="form-row">
                            <div class="form-group col-md-12">
                                <label for="subjek">Minimal pendaftar: </label>
                                <input type="number" required class="form-control" id="minRegistrant"
                                       name="minRegistrant" placeholder="10">
                            </div>
                        </div>
                        <div class="form-row">
                            <div class="form-group col-md-12">
                                <label for="subjek">Status : </label>
                                <select name="isActive" class="custom-select custom-select">
                                    <option value="1">Aktif</option>
                                    <option value="0">Tidak Aktif</option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary">Simpan</button>
                    </div>
                </form>
            </div>
        </div>
    </div>


{% endblock %}

{% block javascripts %}
    {{ dt.datatableJS(class, space, tableAction, tableFields,where) }}
    <script src="{{ asset('dropify/js/dropify.js') }}"></script>
    <script type="text/javascript"
            src="https://cdn.jsdelivr.net/npm/browser-image-compression@latest/dist/browser-image-compression.js"></script>

    {{ f.getFormJS() }}
{% endblock %}